function regBindings() {
  // I2C Speed Command Percentage
  gc.databind.registry.bind('widget.ti_mdbu_custom_slider_component.value',
    "my_model.DEVICE_CTRL.SPEED_CTRL",
    function (value) {
      return (value / 4095 * 100);
    },
    function (value) {
      return (value / 100 * 4095).toFixed();
    }
  );
  
  gc.databind.registry.bind('widget.ti_mdbu_custom_slider_component3.value',
    "my_model.DEVICE_CTRL.SPEED_CTRL",
    function (value) {
      return (value / 4095 * 100);
    },
    function (value) {
      return (value / 100 * 4095).toFixed();
    }
  );

  // Maximum Speed
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component8.value',
//     "my_model.CLOSED_LOOP3.MAX_SPEED",
//     function (value) {
//       return (value / 6);
//     },
//     function (value) {
//       return (value * 6).toFixed();
//     }
//   );
  
  // Maximum Speed
//   gc.databind.registry.bind('widget.ti_guided_tuning_mdbu_custom_numberbox_component.value',
//     "my_model.CLOSED_LOOP3.MAX_SPEED",
//     function (value) {
//       return (value / 6);
//     },
//     function (value) {
//       return (value * 6).toFixed();
//     }
//   );
  
  // Brake Config
  gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_toggle_component13.checked', {
      brk_mode: 'my_model.ISD_CONFIG.BRK_MODE',
      brk_config: 'my_model.ISD_CONFIG.BRK_CONFIG'
    },
    function (value) {
      if (value.brk_mode)
        return value.brk_config;
      else
        return 0;
    }
  );

  // Recirculation Brake Time
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_dropdown_component39.selectedIndex', {
//       mtr_stop: 'my_model.CLOSED_LOOP2.MTR_STOP',
//       recir_brk_time: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component39.selectedIndex'
//     },
//     function (value) {
//       if ((value.mtr_stop == "2" || value.mtr_stop == "3") && (value.recir_brk_time == "0"))
//         return 1;
//       else
//         return value.recir_brk_time;
//     }
//   );
  
//   // VDS OCP Treshold (A)
//   gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component3.value', {
//       vds_ocp_index: 'my_model.GD_CONFIG2.VDS_LVL',
//       csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
//       shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
//     },
//     function (value) {
//       var vds_ocp_arr = getDroplistValues('ti_fault_configure_mdbu_custom_dropdown_component64');
//       var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
//       var vds_ocp = vds_ocp_arr[value.vds_ocp_index];
//       var csa_gain = csa_gain_arr[value.csa_gain_index];
//       var shunt_value = value.shunt_value;
//       return (vds_ocp / (csa_gain * shunt_value)).toFixed(3);
//     }
//   );

//   // Cycle by Cycle Current limit Threshold (A)
//   gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component4.value', {
//       ilimit_thr_index: 'my_model.FAULT_CONFIG1.ILIMIT',
//       csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
//       shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
//     },
//     function (value) {
//       var ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component129');
//       var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
//       var ilimit = ilimit_arr[value.ilimit_thr_index];
//       var csa_gain = csa_gain_arr[value.csa_gain_index];
//       var shunt_value = value.shunt_value;
//       return (ilimit / (csa_gain * shunt_value)).toFixed(3);
//     }
//   );

//   // Current sense OCP threshold (A)
//   gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component11.value', {
//       ocp_thr_index: 'my_model.GD_CONFIG2.SEN_LVL',
//       csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
//       shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
//     },
//     function (value) {
//       var ocp_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component48');
//       var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
//       var ocp_thr = ocp_thr_arr[value.ocp_thr_index];
//       var csa_gain = csa_gain_arr[value.csa_gain_index];
//       var shunt_value = value.shunt_value;
//       return (ocp_thr / (csa_gain * shunt_value)).toFixed(3);
//     }
//   );

//   // Brake current threshold (A)
//   gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component.value', {
//       brk_curr_thr_index: 'my_model.ISD_CONFIG.BRK_CURR_THR',
//       csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
//       shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
//     },
//     function (value) {
//       var brk_curr_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component112');
//       var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
//       var brk_curr_thr = brk_curr_thr_arr[value.brk_curr_thr_index];
//       var csa_gain = csa_gain_arr[value.csa_gain_index];
//       var shunt_value = value.shunt_value;
//       return (brk_curr_thr / (csa_gain * shunt_value)).toFixed(3);
//     }
//   );

//   // Align and Open Loop Current Limit Value(A)
//   gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component12.value', {
//       curr_sens_amp_mode: 'my_model.GD_CONFIG2.VREF_DIV',
//       align_opn_loop_ilimit_src_slct: 'my_model.MOTOR_STARTUP2.OL_ILIMIT_CONFIG',
//       align_opn_loop_ilimit_index: 'my_model.MOTOR_STARTUP2.OL_ILIMIT',
//       ilimit_thr_index: 'my_model.FAULT_CONFIG1.ILIMIT',
//       csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
//       shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
//     },
//     function (value) {
//       if (value.curr_sens_amp_mode == value.align_opn_loop_ilimit_src_slct) {
//         var align_opn_loop_ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component111');
//         var dependant_value = align_opn_loop_ilimit_arr[value.align_opn_loop_ilimit_index];
//       } else {
//         var ilimit_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component129');
//         var dependant_value = ilimit_arr[value.ilimit_thr_index];
//       }
//       var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
//       var csa_gain = csa_gain_arr[value.csa_gain_index];
//       var shunt_value = value.shunt_value;
//       return (dependant_value / (csa_gain * shunt_value)).toFixed(3);
//     }
//   );

//   // IPD Current Threshold (A)
//   gc.databind.registry.bind('widget.ti_mdbu_custom_numberbox_component4.value', {
//       curr_sens_amp_mode: 'my_model.GD_CONFIG2.VREF_DIV',
//       ocp_thr_index: 'my_model.GD_CONFIG2.SEN_LVL',
//       ipd_curr_thr_index: 'my_model.MOTOR_STARTUP1.IPD_CURR_THR',
//       csa_gain_index: 'widget.ti_adv_tuning_mdbu_custom_dropdown_component9.selectedValue',
//       shunt_value: 'widget.ti_mdbu_custom_numberbox_component1.value'
//     },
//     function (value) {
//       if (value.curr_sens_amp_mode == 1) {
//         var ocp_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component48');
//         var dependant_value = ocp_thr_arr[value.ocp_thr_index];
//       } else {
//         var ipd_curr_thr_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component15');
//         var dependant_value = ipd_curr_thr_arr[value.ipd_curr_thr_index];
//       }
//       var csa_gain_arr = getDroplistValues('ti_adv_tuning_mdbu_custom_dropdown_component9');
//       var csa_gain = csa_gain_arr[value.csa_gain_index];
//       var shunt_value = value.shunt_value;
//       return (dependant_value / (csa_gain * shunt_value)).toFixed(3);
//     }
//   );

//   // Speed Ref
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status.value', {
//       speed_ref: 'my_model.SPEED_REF.SPEED_REF',
//       max_speed: 'my_model.CLOSED_LOOP3.MAX_SPEED'
//     },
//     function (value) {
//       return (value.speed_ref * (value.max_speed/6) / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // Voltage Magnitude
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status19.value', {
//       volt_mag: 'my_model.ALGO_STATUS.VOLT_MAG'
//     },
//     function (value) {
//       return (100 * (value.volt_mag / Math.pow(2,15))).toFixed(2);
//     }
//   );

//   // Duty Command
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status18.value', {
//       duty_cmd: 'my_model.ALGO_STATUS.DUTY_CMD'
//     },
//     function (value) {
//       return (value.duty_cmd / 4095 * 100).toFixed(2);
//     }
//   );

//   // VM Voltage
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status5.value', {
//       vm_voltage: 'my_model.VM_VOLTAGE.VM_VOLTAGE',
//       bus_voltage: 'my_model.DEVICE_CONFIG1.BUS_VOLT'
//     },
//     function (value) {
//         var bus_volt_enum = [15, 30, 60, 60];
//         return (value.vm_voltage * bus_volt_enum[value.bus_voltage] / Math.pow(2,27)).toFixed(2);
//     }
//   );
  
//   var motor_r_l_ke_lookup = [0.000,
//                         0.006, 0.007, 0.008, 0.009, 0.010, 0.011, 0.012, 0.013,
//                         0.014, 0.015, 0.016, 0.017, 0.018, 0.019, 0.020, 0.022,
//                         0.024, 0.026, 0.028, 0.030, 0.032, 0.034, 0.036, 0.038,
//                         0.040, 0.042, 0.044, 0.046, 0.048, 0.050, 0.052, 0.054,
//                         0.056, 0.058, 0.060, 0.062, 0.064, 0.066, 0.068, 0.070,
//                         0.072, 0.074, 0.076, 0.078, 0.080, 0.082, 0.084, 0.086,
//                         0.088, 0.090, 0.092, 0.094, 0.096, 0.098, 0.100, 0.105,
//                         0.110, 0.115, 0.120, 0.125, 0.130, 0.135, 0.140, 0.145,
//                         0.150, 0.155, 0.160, 0.165, 0.170, 0.175, 0.180, 0.185,
//                         0.190, 0.195, 0.200, 0.205, 0.210, 0.215, 0.220, 0.225,
//                         0.230, 0.235, 0.240, 0.245, 0.250, 0.255, 0.260, 0.265,
//                         0.270, 0.275, 0.280, 0.285, 0.290, 0.295, 0.300, 0.305,
//                         0.310, 0.315, 0.320, 0.325, 0.330, 0.335, 0.340, 0.345,
//                         0.350, 0.355, 0.360, 0.365, 0.370, 0.375, 0.380, 0.385,
//                         0.390, 0.395, 0.400, 0.405, 0.410, 0.415, 0.420, 0.425,
//                         0.430, 0.435, 0.440, 0.445, 0.450, 0.455, 0.460, 0.465,
//                         0.470, 0.475, 0.480, 0.485, 0.490, 0.495, 0.500, 0.510,
//                         0.520, 0.530, 0.540, 0.550, 0.560, 0.570, 0.580, 0.590,
//                         0.600, 0.610, 0.620, 0.630, 0.640, 0.650, 0.660, 0.670,
//                         0.680, 0.690, 0.700, 0.720, 0.740, 0.760, 0.780, 0.800,
//                         0.820, 0.840, 0.860, 0.880, 0.900, 0.920, 0.940, 0.960,
//                         0.980, 1.000, 1.050, 1.100, 1.150, 1.200, 1.250, 1.300,
//                         1.350, 1.400, 1.450, 1.500, 1.550, 1.600, 1.650, 1.700,
//                         1.750, 1.800, 1.850, 1.900, 1.950, 2.000, 2.050, 2.100,
//                         2.200, 2.300, 2.400, 2.500, 2.600, 2.700, 2.800, 2.900,
//                         3.000, 3.200, 3.400, 3.600, 3.800, 4.000, 4.200, 4.400,
//                         4.600, 4.800, 5.000, 5.200, 5.400, 5.600, 5.800, 6.000,
//                         6.200, 6.400, 6.600, 6.800, 7.000, 7.200, 7.400, 7.600,
//                         7.800, 8.000, 8.200, 8.400, 8.600, 8.800, 9.000, 9.200,
//                         9.400, 9.600, 9.800, 10.00, 10.50, 11.00, 11.50, 12.00,
//                         12.50, 13.00, 13.50, 14.00, 14.50, 15.00, 15.50, 16.00,
//                         16.50, 17.00, 17.50, 18.00, 18.50, 19.00, 20.00];

//   // Motor Phase Resistance input
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component19.value',
//     "my_model.CLOSED_LOOP2.MOTOR_RES",
//     function (value) {
//       return motor_r_l_ke_lookup[value];
//     }
//   );

//   // Motor Phase Inductance input
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component20.value',
//     "my_model.CLOSED_LOOP2.MOTOR_IND",
//     function (value) {
//       return motor_r_l_ke_lookup[value];
//     }
//   );

//   // Motor Phase BEMF constant input
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component21.value',
//     "my_model.CLOSED_LOOP3.MOTOR_BEMF_CONST",
//     function (value) {
//       return motor_r_l_ke_lookup[value] * 100;
//     }
//   );
  
//   // MPET Motor Resistance
//   gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component1.value',
//     "my_model.MTR_PARAMS.MOTOR_R",
//     function (value) {
//       return motor_r_l_ke_lookup[value].toFixed(3);
//     }
//   );
  
//   // MEPT Motor Inductance
//   gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component2.value',
//     "my_model.MTR_PARAMS.MOTOR_L",
//     function (value) {
//       return motor_r_l_ke_lookup[value].toFixed(3);
//     }
//   );
  
//   // MPET Motor BEMF constant
//   gc.databind.registry.bind('widget.ti_mdbu_custom_readable_component4.value',
//     "my_model.MTR_PARAMS.MOTOR_BEMF_CONST",
//     function (value) {
//       return (motor_r_l_ke_lookup[value] * 100).toFixed(3);
//     }
//   );

//   // MPET Motor Resistance
//   gc.databind.registry.bind('widget.ti_mpet_mdbu_custom_readable_component.value',
//     "my_model.MTR_PARAMS.MOTOR_R",
//     function (value) {
//       return motor_r_l_ke_lookup[value].toFixed(3);
//     }
//   );
  
//   // MEPT Motor Inductance
//   gc.databind.registry.bind('widget.ti_mpet_mdbu_custom_readable_component1.value',
//     "my_model.MTR_PARAMS.MOTOR_L",
//     function (value) {
//       return motor_r_l_ke_lookup[value].toFixed(3);
//     }
//   );
  
//   // MPET Motor BEMF constant
//   gc.databind.registry.bind('widget.ti_mpet_mdbu_custom_readable_component2.value',
//     "my_model.MTR_PARAMS.MOTOR_BEMF_CONST",
//     function (value) {
//       return (motor_r_l_ke_lookup[value] * 100).toFixed(3);
//     }
//   );

//   // Motor Resistance Status
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status20.value', {
//       motor_r: 'my_model.MTR_PARAMS.MOTOR_R'
//     },
//     function (value) {
//       return (value.motor_r === 0) ? "Self Measurement" : motor_r_l_ke_lookup[value.motor_r];
//     }
//   );

//   // Motor Inductance Status
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status21.value', {
//       motor_l: 'my_model.MTR_PARAMS.MOTOR_L'
//     },
//     function (value) {
//       return (value.motor_l === 0) ? "Self Measurement" : motor_r_l_ke_lookup[value.motor_l];
//     }
//   );

//   // Motor BEMF Status
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status22.value', {
//       motor_bemf_const: 'my_model.MTR_PARAMS.MOTOR_BEMF_CONST'
//     },
//     function (value) {
//       return (value.motor_bemf_const === 0) ? "Self Measurement" : motor_r_l_ke_lookup[value.motor_bemf_const];
//     }
//   );

//   // CSA Gain
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status1.value', {
//       csa_gain_feedback: 'my_model.CSA_GAIN_FEEDBACK.CSA_GAIN_FEEDBACK'
//     },
//     function (value) {
//         return (value.csa_gain_feedback);
//     }
//   );

//   // Id Ref
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status6.value', {
//       id_ref: 'my_model.ID_REF.ID_REF',
//       base_current: 'my_model.DEVICE_CONFIG1.BASE_CURRENT'
//     },
//     function (value) {
//         var base_current_enum = [6, 15, 30, 60, 120, 300, 300, 300];
//         return (value.id_ref * base_current_enum[value.base_current] / (Math.pow(2,27) * 8)).toFixed(2);
//     }
//   );

//   // Iq Ref
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status2.value', {
//       iq_ref: 'my_model.IQ_REF.IQ_REF',
//       base_current: 'my_model.DEVICE_CONFIG1.BASE_CURRENT'
//     },
//     function (value) {
//         var base_current_enum = [6, 15, 30, 60, 120, 300, 300, 300];
//         return (value.iq_ref * base_current_enum[value.base_current] / (Math.pow(2,27) * 8)).toFixed(2);
//     }
//   );

//   // Id
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status3.value', {
//       id: 'my_model.ID.ID',
//       base_current: 'my_model.DEVICE_CONFIG1.BASE_CURRENT'
//     },
//     function (value) {
//         var base_current_enum = [6, 15, 30, 60, 120, 300, 300, 300];
//         return (value.id * base_current_enum[value.base_current] / (Math.pow(2,27) * 8)).toFixed(2);
//     }
//   );

//   // Iq
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status4.value', {
//       iq: 'my_model.IQ.IQ',
//       base_current: 'my_model.DEVICE_CONFIG1.BASE_CURRENT'
//     },
//     function (value) {
//         var base_current_enum = [6, 15, 30, 60, 120, 300, 300, 300];
//         return (value.iq * base_current_enum[value.base_current] / (Math.pow(2,27) * 8)).toFixed(2);
//     }
//   );

//   // Vd
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status8.value', {
//       vd: 'my_model.VD.VD',
//       bus_voltage: 'my_model.DEVICE_CONFIG1.BUS_VOLT'
//     },
//     function (value) {
//         var bus_volt_enum = [15, 30, 60, 60];
//         return (value.vd * (bus_volt_enum[value.bus_voltage] / Math.sqrt(3)) / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // Vq
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status7.value', {
//       vq: 'my_model.VQ.VQ',
//       bus_voltage: 'my_model.DEVICE_CONFIG1.BUS_VOLT'
//     },
//     function (value) {
//         var bus_volt_enum = [15, 30, 60, 60];
//         return (value.vq * (bus_volt_enum[value.bus_voltage] / Math.sqrt(3)) / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // Bus Current
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status10.value', {
//       bus_current: 'my_model.BUS_CURRENT.BUS_CURRENT',
//       base_current: 'my_model.DEVICE_CONFIG1.BASE_CURRENT'
//     },
//     function (value) {
//         var base_current_enum = [6, 15, 30, 60, 120, 300, 300, 300];
//         return (value.bus_current * base_current_enum[value.base_current] / (Math.pow(2,27) * 8)).toFixed(2);
//     }
//   );

//   // IPD State
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status9.value', {
//       ipd_state: 'my_model.IPD_STATE.IPD_STATE'
//     },
//     function (value) {
//         var ipd_state_enum = ['IPD_INIT',
//                                 'IPD_VECTOR_CONFIG',
//                                 'IPD_RUN',
//                                 'IPD_SLOW_RISE_CLOCK',
//                                 'IPD_SLOW_FALL_CLOCK',
//                                 'IPD_WAIT_CURRENT_DECAY',
//                                 'IPD_GET_TIMES',
//                                 'IPD_SET_NEXT_VECTOR',
//                                 'IPD_CALC_SECTOR_RISE',
//                                 'IPD_CALC_ROTOR_POSITION',
//                                 'IPD_CALC_ANGLE',
//                                 'IPD_COMPLETE',
//                                 'IPD_FAULT'];
//         return ipd_state_enum[value.ipd_state];
//     }
//   );

  // ISD State
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status12.value', {
//       isd_state: 'my_model.ISD_STATE.ISD_STATE'
//     },
//     function (value) {
//         var isd_state_enum = ['ISD_INIT',
//                                 'ISD_MOTOR_STOP_CHECK',
//                                 'ISD_MOTOR_DIRECTION_CHECK',
//                                 'ISD_COMPLETE',
//                                 'ISD_FAULT'];
//         return isd_state_enum[value.isd_state];
//     }
//   );

  // Algorithm State
  gc.databind.registry.bind('widget.ti_mdbu_custom_motor_status.value', {
      algo_state: 'my_model.SYS_STATUS2.STATE'
    },
    function (value) {
        var algo_state_enum = ['SYSTEM_IDLE',
                                'MOTOR_START',
                                'MOTOR_RUN',
                                'SYSTEM_INIT',
                                'MOTOR_IPD',
                                'MOTOR_ALIGN',
                                'MOTOR_IDLE',
                                'MOTOR_STOP',
                                'FAULT',
                                'MOTOR_DIRECTION',
                                'HALL_ALIGN',
                                'MOTOR_ISD',
                                'MOTOR_FREEWHEEL',
                                'MOTOR_DESCEL',
                                'MOTOR_BRAKE',
                                'N/A'];
        return algo_state_enum[value.algo_state];
    }
  );

//   // IPD Angle
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status11.value', {
//       ipd_angle: 'my_model.IPD_ANGLE.IPD_ANGLE'
//     },
//     function (value) {
//         return (value.ipd_angle * 360 / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // ISD Speed
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status14.value', {
//       isd_speed: 'my_model.ISD_SPEED.ISD_SPEED',
//       max_speed: 'my_model.CLOSED_LOOP3.MAX_SPEED'
//     },
//     function (value) {
//         return (value.isd_speed * (value.max_speed/6) / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // ED
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status13.value', {
//       ed: 'my_model.ED.ED',
//       bus_voltage: 'my_model.DEVICE_CONFIG1.BUS_VOLT'
//     },
//     function (value) {
//         var bus_volt_enum = [15, 30, 60, 60];
//         return (value.ed * (bus_volt_enum[value.bus_voltage] / Math.sqrt(3)) / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // EQ
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status16.value', {
//       eq: 'my_model.EQ.EQ',
//       bus_voltage: 'my_model.DEVICE_CONFIG1.BUS_VOLT'
//     },
//     function (value) {
//         var bus_volt_enum = [15, 30, 60, 60];
//         return (value.eq * (bus_volt_enum[value.bus_voltage] / Math.sqrt(3)) / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // Rotor Angle
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status15.value', {

//       theta_est: 'my_model.THETA_EST.THETA_EST'
//     },
//     function (value) {
//         return (value.theta_est * 360 / Math.pow(2,27)).toFixed(2);
//     }
//   );

//   // Speed Feedback
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_motor_status17.value', {
//       speed_fdbk: 'my_model.SPEED_FDBK.SPEED_FDBK',
//       max_speed: 'my_model.CLOSED_LOOP3.MAX_SPEED'
//     },
//     function (value) {
//         return (value.speed_fdbk * (value.max_speed/6) / Math.pow(2,27)).toFixed(2);
//     }
//   );
  
  
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component27.value', {
//       duty_a_lsb: 'my_model.SPEED_PROFILES2.DUTY_A',
//       duty_a_msb: 'my_model.SPEED_PROFILES1.DUTY_A'
//     },
//     function (value) {
//         return (value.duty_a_lsb & 0x07) | (value.duty_a_msb << 3);
//     },
//     function (value) {
//         return {duty_a_lsb: (value & 0x07), duty_a_msb: ((value & 0xF8) >> 3)};
//     }
//   );
  
//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component31.value', {
//       duty_e_lsb: 'my_model.SPEED_PROFILES3.DUTY_E',
//       duty_e_msb: 'my_model.SPEED_PROFILES2.DUTY_E'
//     },
//     function (value) {
//         return (value.duty_e_lsb & 0x0F) | (value.duty_e_msb << 4);
//     },
//     function (value) {
//         return {duty_e_lsb: (value & 0x0F), duty_e_msb: ((value & 0xF0) >> 4)};
//     }
//   );

//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component40.value', {
//       speed_b_lsb: 'my_model.SPEED_PROFILES5.SPEED_B',
//       speed_b_msb: 'my_model.SPEED_PROFILES4.SPEED_B'
//     },
//     function (value) {
//         return (value.speed_b_lsb & 0x01) | (value.speed_b_msb << 1);
//     },
//     function (value) {
//         return {speed_b_lsb: (value & 0x01), speed_b_msb: ((value & 0xFE) >> 1)};
//     }
//   );

//   gc.databind.registry.bind('widget.ti_adv_tuning_mdbu_custom_numberbox_component22.value', {
//       spd_loop_kp_lsb: 'my_model.CLOSED_LOOP4.SPD_LOOP_KP',
//       spd_loop_kp_msb: 'my_model.CLOSED_LOOP3.SPD_LOOP_KP'
//     },
//     function (value) {
//         return (value.spd_loop_kp_lsb & 0x7F) | (value.spd_loop_kp_msb << 7);
//     },
//     function (value) {
//         return {spd_loop_kp_lsb: (value & 0x7F), spd_loop_kp_msb: ((value & 0x380) >> 7)};
//     }
//   );
  
}